| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Namespaces | Enumerations
database_aux.hpp File Reference
API

set of datastructures used to interact with a database object More...

`#include "../my_config.h"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum class | libdar::db_lookup { libdar::db_lookup::found_present , libdar::db_lookup::found_removed , libdar::db_lookup::not_found , libdar::db_lookup::not_restorable }
| the available status of a lookup More...
enum class | libdar::db_etat { libdar::db_etat::et_saved , libdar::db_etat::et_patch , libdar::db_etat::et_patch_unusable , libdar::db_etat::et_inode , libdar::db_etat::et_present , libdar::db_etat::et_removed , libdar::db_etat::et_absent }
| the status for a founded entry More...

## Detailed Description

set of datastructures used to interact with a database object

Definition in file database_aux.hpp.